/*
 * Exception: ProtocolAdaptorReadException
 *
 * $Id: ProtocolAdaptorReadException.java,v 1.1.1.1 2005/05/22 17:00:49 macias Exp $
 */
package es.rediris.aarr.protocol;

import es.rediris.aarr.AARRException;


/**
 * Exception thrown by the <b>protocol adaptor</b> module while reading requests
 *
 * @author macias
 */
public class ProtocolAdaptorReadException extends AARRException {
    /** The protocol adaptor exception */
    public ProtocolAdaptorReadException() {
        super();
    }

    /** Protocol adaptor exception plus message
    @param message the message to be passed up */
    public ProtocolAdaptorReadException(String message) {
        super("\n\tProtocol adaptor read exception caught: " + message);
    }
}
