/*
 * Exception: RuleProcessorException
 *
 * $Id: RuleProcessorException.java,v 1.1.1.1 2005/05/22 17:00:49 macias Exp $
 */
package es.rediris.aarr.rules;

import es.rediris.aarr.AARRException;


/**
 * Exceptions thrown by the rule processor
 *
 * @author macias
 */
public class RuleProcessorException extends AARRException {
    /** Exception thrown by the rule processor */
    public RuleProcessorException() {
        super();
    }

    /** Exception thrown by the rule processor wi a messathge
    @param exception a message explaining the exception */
    public RuleProcessorException(String exception) {
        super("\n\tRuleProcessorException exception caught: " + exception);
    }
}
