/*
 * Exception: DataSourceException
 *
 * $Id: DataSourceException.java,v 1.1.1.1 2005/05/22 17:00:49 macias Exp $
 */
package es.rediris.aarr.data;

import es.rediris.aarr.AARRException;


/**
 * Exceptions thrown while opening, processing or connecting to a data source
 *
 * @author macias
 */
public class DataSourceException extends AARRException {
    /** The protocol adaptor exception */
    public DataSourceException() {
        super();
    }

    /** Protocol adaptor exception plus message
    @param exception the message to be passed up */
    public DataSourceException(String exception) {
        super("DataSourceException caught: " + exception);
    }
}
